/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahlbeteiligung.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WahlbeteiligungMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlbeteiligungMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungMeta";

  @Inject
  private transient Messages messages;

  public WahlbeteiligungMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnzahlWaehlerGesamtEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ANZAHL_WAEHLER_GESAMT_EINZAHL;
  }

  public String getAnzahlWaehlerGesamtMehrzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ANZAHL_WAEHLER_GESAMT_MEHRZAHL;
  }


  public String getAnzahlWaehlerGesamtEinzahlMessage(){
    return getMessage(getAnzahlWaehlerGesamtEinzahlMessageKey());
  }

  public String getAnzahlWaehlerGesamtMehrzahlMessage(){
    return getMessage(getAnzahlWaehlerGesamtMehrzahlMessageKey());
  }



  public boolean isAnzahlWaehlerGesamtRequired() {
    return !WahlbeteiligungConstants.ANZAHL_WAEHLER_GESAMT_NULLABLE;
  }

  public java.lang.Long getAnzahlWaehlerGesamtDefaultValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_GESAMT_DEFAULT_VALUE;
  }

  public int getAnzahlWaehlerGesamtMaxLength() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_GESAMT_MAX_LENGTH;
  }

  public long getAnzahlWaehlerGesamtMinValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_GESAMT_MIN_VALUE;
  }

  public long getAnzahlWaehlerGesamtMaxValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_GESAMT_MAX_VALUE;
  }

  public String getAnzahlWaehlerMitWahlscheinEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ANZAHL_WAEHLER_MIT_WAHLSCHEIN_EINZAHL;
  }

  public String getAnzahlWaehlerMitWahlscheinMehrzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ANZAHL_WAEHLER_MIT_WAHLSCHEIN_MEHRZAHL;
  }


  public String getAnzahlWaehlerMitWahlscheinEinzahlMessage(){
    return getMessage(getAnzahlWaehlerMitWahlscheinEinzahlMessageKey());
  }

  public String getAnzahlWaehlerMitWahlscheinMehrzahlMessage(){
    return getMessage(getAnzahlWaehlerMitWahlscheinMehrzahlMessageKey());
  }



  public boolean isAnzahlWaehlerMitWahlscheinRequired() {
    return !WahlbeteiligungConstants.ANZAHL_WAEHLER_MIT_WAHLSCHEIN_NULLABLE;
  }

  public java.lang.Long getAnzahlWaehlerMitWahlscheinDefaultValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_MIT_WAHLSCHEIN_DEFAULT_VALUE;
  }

  public int getAnzahlWaehlerMitWahlscheinMaxLength() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_MIT_WAHLSCHEIN_MAX_LENGTH;
  }

  public long getAnzahlWaehlerMitWahlscheinMinValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_MIT_WAHLSCHEIN_MIN_VALUE;
  }

  public long getAnzahlWaehlerMitWahlscheinMaxValue() {
    return WahlbeteiligungConstants.ANZAHL_WAEHLER_MIT_WAHLSCHEIN_MAX_VALUE;
  }

  public String getErfasserEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ERFASSER_EINZAHL;
  }

  public String getErfasserMehrzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ERFASSER_MEHRZAHL;
  }


  public String getErfasserEinzahlMessage(){
    return getMessage(getErfasserEinzahlMessageKey());
  }

  public String getErfasserMehrzahlMessage(){
    return getMessage(getErfasserMehrzahlMessageKey());
  }



  public boolean isErfasserRequired() {
    return !WahlbeteiligungConstants.ERFASSER_NULLABLE;
  }

  public java.lang.String getErfasserDefaultValue() {
    return WahlbeteiligungConstants.ERFASSER_DEFAULT_VALUE;
  }

  public int getErfasserMaxLength() {
    return WahlbeteiligungConstants.ERFASSER_MAX_LENGTH;
  }

  public String getZeitstempelEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ZEITSTEMPEL_EINZAHL;
  }

  public String getZeitstempelMehrzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_ZEITSTEMPEL_MEHRZAHL;
  }


  public String getZeitstempelEinzahlMessage(){
    return getMessage(getZeitstempelEinzahlMessageKey());
  }

  public String getZeitstempelMehrzahlMessage(){
    return getMessage(getZeitstempelMehrzahlMessageKey());
  }



  public boolean isZeitstempelRequired() {
    return !WahlbeteiligungConstants.ZEITSTEMPEL_NULLABLE;
  }

  public java.util.Date getZeitstempelDefaultValue() {
    return WahlbeteiligungConstants.ZEITSTEMPEL_DEFAULT_VALUE;
  }



  public String getWahlbeteiligungAuswertungEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_WAHLBETEILIGUNG_AUSWERTUNG_ID_EINZAHL;
  }

  public String getWahlbeteiligungAuswertungEinzahlMessage(){
    return getMessage(getWahlbeteiligungAuswertungEinzahlMessageKey());
  }

  public boolean isWahlbeteiligungAuswertungRequired() {
    return !WahlbeteiligungConstants.WAHLBETEILIGUNG_AUSWERTUNG_ID_NULLABLE;
  }


  public String getWahldurchfuehrungsgebietEinzahlMessageKey(){
    return WahlbeteiligungConstants.MESSAGE_KEY_WAHLDURCHFUEHRUNGSGEBIET_ID_EINZAHL;
  }

  public String getWahldurchfuehrungsgebietEinzahlMessage(){
    return getMessage(getWahldurchfuehrungsgebietEinzahlMessageKey());
  }

  public boolean isWahldurchfuehrungsgebietRequired() {
    return !WahlbeteiligungConstants.WAHLDURCHFUEHRUNGSGEBIET_ID_NULLABLE;
  }

}